/* This is file PROGINFO.H */
/*
** Copyright (C) 1993 DJ Delorie, 24 Kirsten Ave, Rochester NH 03867-2954
**
** This file is distributed under the terms listed in the document
** "copying.dj", available from DJ Delorie at the address above.
** A copy of "copying.dj" should accompany this file; if not, a copy
** should be available from where this file was obtained.  This file
** may not be distributed without a verbatim copy of "copying.dj".
**
** This file is distributed WITHOUT ANY WARRANTY; without even the implied
** warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
*/

#ifndef _PROGINFO_H_
#define _PROGINFO_H_

/* This must match include/go32.h */
/* This MUST be a multiple of 4 bytes in size */

typedef struct {
  word32 size_of_this_structure_in_bytes;
  word32 linear_address_of_primary_screen;
  word32 linear_address_of_secondary_screen;
  word32 linear_address_of_transfer_buffer;
  word32 size_of_transfer_buffer;
  word32 pid;
  word8  master_interrupt_controller_base;
  word8  slave_interrupt_controller_base;
  word16 selector_for_linear_memory;
  word32 linear_address_of_stub_info_structure;
  word32 linear_address_of_original_psp;
  word16 run_mode;
  word16 run_mode_info;
} PROGINFO;

#define _GO32_RUN_MODE_UNDEF	0
#define _GO32_RUN_MODE_RAW	1
#define _GO32_RUN_MODE_XMS	2
#define _GO32_RUN_MODE_VCPI	3
#define _GO32_RUN_MODE_DPMI	4

extern PROGINFO prog_info;

#endif
